#ifndef XSOUNDFILE_H
#define XSOUNDFILE_H

#include "xasset.h"

class XSoundFileRef;

class XSoundFile : public XAsset
{
public:
    XSoundFile();
    ~XSoundFile();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mType;
    quint8 mExists;
    XSoundFileRef* mRef;
};

#endif // XSOUNDFILE_H
